@font-face{
    font-family: "Neuropolitical";
    src:url(fonts/Neuropolitical/neuropolitical.otf), url(fonts/Neuropolitical/Neuropolitical.ttf)
}

body{
    position: relative;
    width: auto;
}

header{
    position: fixed;
    background-color: white;
    width: 100%;
}

.barre{
    font-family: 'Neuropolitical', Arial, sans-serif;
    display: flex;
    flex-direction: row;
    padding: 15px 0px 15px 0px;
    justify-content: center;
    font-size: 1.25em;
    width: 100%;
    box-shadow: 0px 3px 0.20px black;
}

#boutonvolant{
    padding: 15px 40px 25px 70px;
}

#boutonbases{
    padding: 15px 40px 25px 40px;
}

#boutonpedaliers{
    padding: 15px 40px 25px 40px;
}

#boutoncontacte{
    padding: 15px 40px 25px 40px;
}

.accueil{
    background: url(imgs/background.jpg);
    font-family: 'Neuropolitical', Arial, sans-serif;
    color: white;
    text-align: center;
    padding: 450px 325px 450px 325px;
    font-size: 5em;
    max-width: 100%;
    height: auto;
    background-size: cover;
    background-position: center;
}

/*----------------------------------------------------------------------------*/

#volant{
    background-color: black;
    padding: 25px 50px 200px 375px;
    background-repeat: repeat;
}

.monoplace{
    background: white;
    width: 400px;
    height: 300px;
    border: 5px solid transparent;
    display: flex;
    flex-direction: column;
}

.basique{
    background: white;
    width: 400px;
    height: 300px;
    border: 5px solid transparent;
    margin-top: 150px;
}

#f1{
    margin: 25px 400px 25px 25px;
}

#roueronde{
    margin: 35px 0px 0px 100px;
    padding: 20px 0px 45px 0px;
}

.titre{
    color: white;
    font-family: 'Neuropolitical', Arial, sans-serif;
    background-color: #575756;
    margin: 2px 0px 0px -5px;
    text-align: center;
    padding: 25px 10px 25px 0px;
    width: 400px;
    box-shadow: 0px 5px 0.20px #AD1580;
}

.texte{
    color: white;
    font-family: 'Neuropolitical', Arial, sans-serif;
    margin: 50px 250px 0px 125px;
}

.texte2{
    color: white;
    font-family: 'Neuropolitical', Arial, sans-serif;
    margin: 200px 250px 0px 125px;
}

.bloc{
    display: flex;
    flex-direction: row;
    width: 100%;
}

.boite{
    display: flex;
    flex-direction: row;
}

.classe{
    color: white;
    font-family: 'Neuropolitical', Arial, sans-serif;
    padding: 0px 0px 10px 0px;
    margin: 100px 1325px 75px 0px;
    border-bottom: 3px solid #AD1580;
    font-size: 1.5em;
}

#boutonvolant {
    display: inline-block;
    position: relative;
    color: #000;
}
  
#boutonvolant:after {
    content: '';
    position: absolute;
    width: 50%;
    transform: scaleX(0);
    height: 2px;
    bottom: 15px;
    left: 68px;
    right: 0px;
    background-color: #AD1580;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
}
  
#boutonvolant:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}


/*----------------------------------------------------------------------------*/


#bases{
    background-color: #878787;
    background-repeat: inherit;
    padding: 25px 50px 200px 0px;
}

#bases>.classe{
    padding: 0px 0px 10px 0px;
    margin: 100px 1350px 75px 375px;
    border-bottom: 3px solid #AD1580;
    font-size: 1.5em;
}

.couroie{
    background: white;
    width: 400px;
    height: 300px;
    border: 5px solid transparent;
    display: flex;
    flex-direction: column;
    margin: 0px 275px 0px 0px;
}

.directdrive{
    background: white;
    width: 400px;
    height: 300px;
    border: 5px solid transparent;
    margin-top: 150px;
    margin: 150px 275px 0px 0px;
}

#fanatec{
    margin: 50px 400px 25px 35px;
}

#pro{
    margin: 35px 0px 0px 55px;
    padding: 20px 0px 45px 0px;
}

#bases>.bloc{
    display: flex;
    flex-direction: row-reverse;
}

#bases>.boite{
    display: flex;
    flex-direction: row-reverse;
}

.texte3{
    display: flex;
    color: white;
    font-family: 'Neuropolitical', Arial, sans-serif;
    margin: 50px 100px 0px 375px;
}

.texte4{
    display: flex;
    color: white;
    font-family: 'Neuropolitical', Arial, sans-serif;
    margin: 200px 100px 0px 375px;
}

#boutonbases {
    display: inline-block;
    position: relative;
    color: #000;
}
  
#boutonbases:after {
    content: '';
    position: absolute;
    width: 53%;
    transform: scaleX(0);
    height: 2px;
    bottom: 15px;
    left: 40px;
    right: 0px;
    background-color: #AD1580;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
}
  
#boutonbases:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

/*----------------------------------------------------------------------------*/

#pedaliers{
    background-color: black;
    background-repeat: inherit;
    padding: 25px 50px 200px 375px;
}

.magnetique{
    background: white;
    width: 400px;
    height: 300px;
    border: 5px solid transparent;
    display: flex;
    flex-direction: column;
}

.loadcell{
    background: white;
    width: 400px;
    height: 300px;
    border: 5px solid transparent;
    margin-top: 150px;
}

#th{
    margin: 25px 400px 25px 50px;
}

#fn{
    margin: 35px 0px 0px 40px;
    padding: 20px 0px 45px 0px;
}

.titre{
    color: white;
    font-family: 'Neuropolitical', Arial, sans-serif;
    background-color: #575756;
    margin: 2px 0px 0px -5px;
    text-align: center;
    padding: 25px 10px 25px 0px;
    width: 400px;
    box-shadow: 0px 5px 0.20px #AD1580;
}

.texte5{
    color: white;
    font-family: 'Neuropolitical', Arial, sans-serif;
    margin: 50px 250px 0px 125px;
}

.texte6{
    color: white;
    font-family: 'Neuropolitical', Arial, sans-serif;
    margin: 200px 250px 0px 125px;
}

.bloc{
    display: flex;
    flex-direction: row;
}

.boite{
    display: flex;
    flex-direction: row;
}

.class{
    color: white;
    font-family: 'Neuropolitical', Arial, sans-serif;
    padding: 0px 0px 10px 0px;
    margin: 100px 1325px 75px 0px;
    border-bottom: 3px solid #AD1580;
    font-size: 1.5em;
}

#boutonpedaliers {
    display: inline-block;
    position: relative;
    color: #000;
}
  
#boutonpedaliers:after {
    content: '';
    position: absolute;
    width: 62%;
    transform: scaleX(0);
    height: 2px;
    bottom: 15px;
    left: 38px;
    right: 0px;
    background-color: #AD1580;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
}
  
#boutonpedaliers:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

/*----------------------------------------------------------------------------*/

#contacte{
    background-color: white;
    background-repeat: inherit;
    padding: 25px 50px 200px 375px;
    font-family: 'Neuropolitical', Arial, sans-serif;
}

#contacte>.classe{
    color: black;
    font-family: 'Neuropolitical', Arial, sans-serif;
    padding: 0px 0px 10px 0px;
    margin: 100px 1325px 75px 0px;
    border-bottom: 3px solid #AD1580;
    font-size: 1.5em;
}

#boutoncontacte {
    display: inline-block;
    position: relative;
    color: #000;
}
  
#boutoncontacte:after {
    content: '';
    position: absolute;
    width: 62%;
    transform: scaleX(0);
    height: 2px;
    bottom: 15px;
    left: 38px;
    right: 0px;
    background-color: #AD1580;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
}
  
#boutoncontacte:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

/*-------FORMULAIRE-------*/

input[type=text], textarea, input[type=email] {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    margin-right: 0px;
    margin-left: 0px;
    resize: vertical;
  }

label{
    margin-right: 0px;
    margin-left: 0px;
    width: 100%;
}
  
input[type=submit] {
    background-color: #fff;
    color: #AD1580;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
  
input[type=submit]:hover {
    background-color: #AD1580;
    color: #fff;
}
  
.formulaire{
    /* Ajouter box-sizing */
    box-sizing : border-box;
    border-radius:5px;
    background-color:#f2f2f2;
    border: #AD1580 2px solid;
    padding:30px 20px 20px 20px;
    width: 100%;
    /* redéfinition 400 + 2*20 */
    max-width: 440px;
    margin: 0px 0px 0px 160px;
    font-family: 'Neuropolitical', Arial, sans-serif;
}
  
.formulaire>h1  {
    color: #AD1580;
    width: 100%;
    font-family: 'Neuropolitical', Arial, sans-serif;
    font-size: 1.5em;
    text-align: center;
    padding: 0px 0px 30px 0px;
  }

/*-------MAPS-------*/

.maps{
    margin: 0px 900px 700px 25px;
    width: 10px;
    height: 10px;
    border: transparent 1px solid;
    border-radius: 10%;
}

img{
    border-radius: 10%;
}

.grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.grid1{
    grid-column: 2/5;
    margin: 110px 50px 0px -210px
}

.grid1>p{
    padding: 25px 0px 25px 0px;
    font-size: 1.5em;
}

.grid2{
    grid-column: 5/5;
}

.grid3{
    grid-column: 2/5;
}

/*----------------------------------------------------------------------------*/

.pied{
    font-family: 'Neuropolitical', Arial, sans-serif;
    font-size: 1.3em;
    margin: 0px 550px 15px 500px;
    padding-top: 25px;
    justify-content: center;
    border-top: 3px solid #AD1580;
}

/*------------------------------ Responsive ----------------------------------*/

@media screen and (max-width:992px){

    body{
        width: 100%;
    }

    .accueil>h1{
        font-size: 0.30em;
    }

    h2{
        padding: 0px;
        font-size: 0.5em;
    }

    p{
        text-align: justify;
        font-family: 'Neuropolitical';
    }

    .texte{
        padding: 40px 20px 0px 20px;
        margin: 0px;
        font-size: 0.5em;
        font-family: 'Neuropolitical';
    }

    .texte2{
        padding: 40px 20px 0px 20px;
        margin: 0px;
        font-size: 0.5em;
        font-family: 'Neuropolitical';
    }

    .texte3{
        padding: 60px 20px 0px 20px;
        margin: 0px;
        font-size: 0.5em;
        font-family: 'Neuropolitical';
    }

    .texte4{
        padding: 40px 20px 40px 20px;
        margin: 0px;
        font-size: 0.5em;
        font-family: 'Neuropolitical';
    }

    .texte5{
        padding: 40px 20px 0px 20px;
        margin: 0px;
        font-size: 0.5em;
        font-family: 'Neuropolitical';
    }

    .texte6{
        padding: 40px 20px 40px 20px;
        margin: 0px;
        font-size: 0.5em;
        font-family: 'Neuropolitical';
    }

    #volant>.classe{
        padding: 25px 0px 25px 10px;
        margin: 100px 0px 0px 0px;
    }

    #bases>.classe{
        padding: 25px 0px 25px 10px;
        margin: 100px 0px 0px 0px;
    }

    #pedaliers>.classe{
        padding: 25px 0px 25px 10px;
        margin: 0px;
    }

    #contacte>.classe{
        padding: 25px 0px 25px 10px;
        margin: 0px;
    }

    #bases>.bloc{
        flex-direction: column;
    }

    .accueil{
        background-size: 100%;
        background-repeat: no-repeat;
        padding: 150px 0px 150px 0px;
        margin: -105px 0px 0px 0px;
    }

    .titre{
        /*padding: 0px 0px 25px 0px;*/
        width: 100%;
    }

    .titre>h2{
        padding: 20px 0px 0px 0px;
    }

    .monoplace>.titre{
        padding: 0px 0px 0px 0px;
        width: 100%;
        height: auto;
        margin: 0px;
    }

    .basique>.titre{
        padding: 0px 0px 20px 0px;
        width: 100%;
        height: auto;
        margin: 0px;
    }

    .couroie>.titre{
        padding: 0px 0px 0px 0px;
        width: 100%;
        height: auto;
        margin: 0px;
    }

    .magnetique>.titre{
        padding: 0px 0px 0px 0px;
        width: 100%;
        height: auto;
        margin: 0px;
    }

	.nav{
		width: 100%;
		padding-left: 10px;
		padding-right: 10px;
	}

    #f1>img{
        width: 85%;
        box-sizing: border-box;
        height: auto;
        margin: auto;
    }

    #f1{
        margin: 0px;
        display: flex;
    }

    #roueronde>img{
        padding: 0px 0px 0px 0px;
        width: 80%;
        height: auto;
        margin: auto;
    }

    #roueronde{
        display: flex;
        margin: auto;
    }

    #fanatec>img{
        /*padding: 0px 0px 0px 0px;*/
        /*width: 80%;*/
        height: auto;
        margin: auto;
    }

    #fanatec{
        display: flex;
        margin: auto;
    }

    #pro{
        display: flex;
        margin: auto;
    }

    #th>img{
        height: auto;
        margin: auto;
        margin-top: 10px;
        margin-bottom: 10px;
    }

    #th{
        display: flex;
        margin: auto;
    }

    #pro>img{
        margin: auto;
        height: auto;
    }

    .directdrive>.titre{
        padding: 0px 0px 20px 0px;
        width: 100%;
        height: auto;
        margin: 0px;
    }

    .loadcell>.titre{
        padding: 0px 0px 20px 0px;
        width: 100%;
        height: auto;
        margin: 0px;
    }

    #fn>img{
        height: auto;
        margin: auto;
        margin-top: 10px;
        margin-bottom: 10px;
    }

    #fn{
        display: flex;
        margin: auto;
        padding: 0px;
    }

    .monoplace{
        width: 85%;
        height: auto;
        border: 0px;
        margin: auto;
    }

    .magnetique{
        width: 85%;
        height: auto;
        border: 0px;
        margin: auto;
        margin-top: 75px;
    }

    .loadcell{
        width: 85%;
        height: auto;
        border: 0px;
        margin: auto;
        margin-top: 75px;
    }

    .basique{
        width: 85%;
        height: auto;
        border: 0px;
        margin: auto;
        margin-top: 75px;
    }

    .couroie{
        width: 85%;
        height: auto;
        border: 0px;
        margin: auto;
        margin-top: 75px;
    }

    .directdrive{
        width: 85%;
        height: auto;
        border: 0px;
        margin: auto;
        margin-top: 75px;
    }

    .barre{
        display: flex;
        flex-direction: column;
        justify-content: center;
        box-shadow: 0px 0px 0px transparent;
    }

    .logo{
        padding: 0px 0px 0px 50px;
        margin: -25px 0px 25px 0px;
    }

    #boutonvolant{
        margin: 0px 0px 0px 25px;
    }

    #boutonbases{
        margin: 0px 0px 0px 65px;
    }

    #boutonpedaliers{
        margin: 0px 0px 0px 45px;
    }

    #boutoncontacte{
        margin: 0px 0px 0px 50px;
    }

	header{
		height: 100vh;
		width: 80vw;
		top: 0px;
		right: -80vw;
		transition: right ease-in-out 0.3s;
	}

	header::before{
		content:"";
		display: block;
		width: 40px;
		height: 8px;
		background-color: #AD1580;
		border-radius: 4px;
		margin-top: 15px;
		margin-left: -60px;
		box-shadow: 0px 15px 0px 0px #AD1580, 0px 30px 0px 0px #AD1580;
	}

    header:hover{
		right: 0vw;
	}

    #volant{
        padding: 0px 0px 50px 0px;
        margin: -204px 0px 0px 0px;
        justify-content: center;
    }

    #bases{
        padding: 0px;
        margin: -100px 0px 0px 0px;
    }

    #pedaliers{
        padding: 0px;
    }

    #contacte{
        padding: 0px;
        box-sizing: border-box;
        width: 100%;
        height: auto;
    }

    .bloc{
        display: flex;
        flex-direction: column;
        width: 100%;
        flex-wrap: wrap;
        margin: 30px 0px 10px 0px;
        height: auto;
    }

    .boite{
        display: flex;
        flex-direction: column;
        width: 100%;
        padding: 0px;
        margin: 0px;
        height: auto;
        flex-wrap: wrap;
    }

    .grid{
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        width: 90%;
        margin: auto;
    }
    
    .grid1{
        grid-column: 1/1;
        font-size: 0.5em;
        padding: 40px 0px 40px 0px;
        margin: auto;
        width: 100%;
        box-sizing: border-box;
    }
    
    .grid1>p{
        padding: 10px 0px 10px 0px;
    }

    .grid2{
        grid-column: 1/1;
        height: auto;
        margin: auto;
        width: 100%;
    }
    
    .grid3{
        grid-column: 1/1;
        height: auto;
        margin: auto;
        width: 100%;
    }

    .formulaire{
        width: 100%;
        height: auto;
        margin: 0px;
        margin-top: 20px;
        margin-bottom: 20px;
    }

    .maps{
        height: auto;
        margin: auto;
        width: 100%;
        text-align: center;
    }

    .maps>iframe{
        height: 85%;
        width: 100%;
        margin: auto;
        margin-top: 20px;
        margin-bottom: 75px;
    }

    .pied{
        height: auto;
        margin: auto;
        text-align: center;
        display: flex;
        flex-direction: column;
    }

    .pied>#boutonvolant{
        margin: auto;
        padding: 10px 5px 25px 0px;
    }

    .pied>#boutonbases{
        margin: auto;
    }

    .pied>#boutonpedaliers{
        margin: auto;
    }

    .pied>#boutoncontacte{
        margin: auto;
    }
}
